curl --request GET \
--url https://dev.flextell.ai/api/v1/warehouses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"tenant_id": 123,
"code": "<string>",
"name": "<string>",
"description": "<string>",
"country": {
"id": 123,
"name": "<string>"
},
"city": {
"id": 123,
"name": "<string>"
},
"district": {
"id": 123,
"name": "<string>"
},
"postal_code": "<string>",
"address": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"contact_fullname": "<string>",
"contact_email": "<string>",
"contact_phone": "<string>",
"is_active": "<string>",
"is_default": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
2551 <= x <= 100x >= 1name, code, is_active, is_default, created_at, updated_at asc, desc curl --request GET \
--url https://dev.flextell.ai/api/v1/warehouses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"tenant_id": 123,
"code": "<string>",
"name": "<string>",
"description": "<string>",
"country": {
"id": 123,
"name": "<string>"
},
"city": {
"id": 123,
"name": "<string>"
},
"district": {
"id": 123,
"name": "<string>"
},
"postal_code": "<string>",
"address": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"contact_fullname": "<string>",
"contact_email": "<string>",
"contact_phone": "<string>",
"is_active": "<string>",
"is_default": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}